Example
cURL
curl \
-H 'authorization: Bearer YOUR_API_TOKEN' \
'https://public-api.wordpress.com/rest/v1/sites/30434183/posts/1222/likes/new/'
PHP
<?php
$options = array (
'http' =>
array (
'ignore_errors' => true,
'method' => 'POST',
'header' =>
array (
0 => 'authorization: Bearer YOUR_API_TOKEN',
),
),
);
$context = stream_context_create( $options );
$response = file_get_contents(
'https://public-api.wordpress.com/rest/v1/sites/30434183/posts/1222/likes/new/',
false,
$context
);
$response = json_decode( $response );
?>
Response Body
{
"success": true,
"i_like": true,
"like_count": 1,
"meta": {
"links": {
"help": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/posts\/1222\/likes\/new\/help",
"post": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183\/posts\/1222",
"site": "https:\/\/public-api.wordpress.com\/rest\/v1\/sites\/30434183"
}
}
}